List requirements
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"category": "<string>",
"id": 123,
"display_id": 123,
"account_id": 123,
"requirement_type": "<string>",
"status": "<string>",
"priority": "<string>",
"source": "<string>",
"title": "<string>",
"description": "<string>",
"responsible_party": "<string>",
"approval_status": "<string>",
"cost_estimate": 123,
"property_id": 123,
"conversation_id": 123,
"assignee_id": 123,
"reporter_contact_id": 123,
"duplicate_of_id": 123,
"approval_required": true,
"sign_off_required": true,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"total_count": 123,
"requirement_categories": [
{
"id": "<string>",
"allows_urgency": true
}
]
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Requirements
List requirements
List canonical requirements with queue counts and the public category catalog for the account country.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
requirements
List requirements
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"category": "<string>",
"id": 123,
"display_id": 123,
"account_id": 123,
"requirement_type": "<string>",
"status": "<string>",
"priority": "<string>",
"source": "<string>",
"title": "<string>",
"description": "<string>",
"responsible_party": "<string>",
"approval_status": "<string>",
"cost_estimate": 123,
"property_id": 123,
"conversation_id": 123,
"assignee_id": 123,
"reporter_contact_id": 123,
"duplicate_of_id": 123,
"approval_required": true,
"sign_off_required": true,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"total_count": 123,
"requirement_categories": [
{
"id": "<string>",
"allows_urgency": true
}
]
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Public category ID from meta.requirement_categories. Includes all matching internal classifications and historical types.